<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<!DOCTYPE html>
<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if lte IE 7]> <html class="no-js unsupportedBrowser oldie" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8" lang="en"> <![endif]-->
<!--[if IE 9]>    <html class="no-js ie9" lang="en"> <![endif]-->
<!--[if gt IE 9]><!-->
<html class="no-js" lang="en">
<!--<![endif]-->
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <title>
        <fmt:message key="application.title" />
    </title>

    <link href="dellclarity.core/styles/global.semantic.css" rel="stylesheet" type="text/css" />
    <link href="styles/custom.css" media="screen,print" rel="stylesheet" type="text/css" />

    <link rel="shortcut icon" href="dellclarity.core/images/body/fav.ico" />
    <link rel="icon" type="image/ico" href="dellclarity.core/images/body/fav.ico" />
</head>
<body class="loginPage">

    <form autocomplete="off" action="login.html">
        <div class="modalDialogOverlay" data-bind="visible: visible">
            <article class="modalDialog confirmationDialog" role="alertdialog" style="max-height: 300px; max-width: 550px;">
                <div class="modalContentWrapper" style="padding-bottom: 0px !important">
                    <table>
                        <tbody>
                            <tr>
                                <td width="20%">
                                    <i class="cux-icon cux-icon-warning-sign" style="color: #F2AF00; font-size: 48px;/*35pt;*/ padding-right: 1em"></i>
                                </td>
                                <td>

                                    <h1 id="modalTitle" class="confirmation-modal-title">
                                        <fmt:message key="session.timeouttitle" />
                                    </h1>

                                    <p id="modalContents" class="confirmation-modal-contents">
                                        <fmt:message key="session.timeoutmessage" />
                                    </p>
                                </td>
                            </tr>
                        </tbody>
                    </table>

                    <div class="sectionEditButtons">
                        <button class="cux-button cux-button-large cux-button-primary" id="btnAccept" type="submit">
                            <fmt:message key="genericTerms.ok" />
                        </button>
                    </div>
                </div>
            </article>
        </div>
    </form>
</body>
</html>
