<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_downloads" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.Downloads">
    <header class="page-heading">
        <h1>
            <fmt:message key="adminportal.downloads.title" />
        </h1>
    </header>
    <p>
        <fmt:message key="adminportal.downloads.help" />
    </p>
    <form>
        <!-- <fieldset>
            <legend>
                <fmt:message key="adminportal.downlads.virtualgatewaytitle" />
            </legend>
            <p>
                <fmt:message key="adminportal.downlads.virtualgatewayhelp" />
            </p>
            <button id="downloadVirtualGatewayButton" class="cux-button cux-button-medium cux-button-primary" type="button">
                <i class="cux-icon cux-icon-download-alt"></i><span>
                    <fmt:message key="adminportal.downlads.virtualgatewaydownload" />
                </span>
            </button>
        </fieldset> -->

        <!--ko if: DellClarity.Config.consoleType !== 'scom' -->
        <fieldset>
            <legend>
                <fmt:message key="adminportal.downlads.clientconsoletitle" />
            </legend>
            <p>
                <fmt:message key="adminportal.downlads.clientconsolehelp" />
            </p>
            
            <button id="downloadClientConsoleButton" class="cux-button cux-button-medium cux-button-primary" type="button">
                <i class="cux-icon cux-icon-download-alt"></i><span>
                    <fmt:message key="adminportal.downlads.clientconsoledownload" />
                </span>
            </button>
        </fieldset>
        <fieldset>
            <legend>                
                <fmt:message key="adminportal.downlads.sccmconsoletitle" />
            </legend>
            <p>               
                <fmt:message key="adminportal.downlads.sccmconsolehelp" />
            </p>
            
            <button id="downloadSCCMClientConsoleButton" class="cux-button cux-button-medium cux-button-primary" type="button">
                <i class="cux-icon cux-icon-download-alt"></i><span>
                    <fmt:message key="adminportal.downlads.clientconsoledownload" />
                </span>

            </button>
        </fieldset>
        <!--/ko-->

        <!--ko if: DellClarity.Config.consoleType == 'scom' -->
        <!-- <fieldset>
            <legend>                
                <fmt:message key="adminportal.downlads.scomconsoletitle" />
            </legend>
            <p>               
                <fmt:message key="adminportal.downlads.scomconsolehelp" />
            </p>
            
            <button id="downloadSCOMClientConsoleButton" class="cux-button cux-button-medium cux-button-primary" type="button">
                <i class="cux-icon cux-icon-download-alt"></i><span>
                    <fmt:message key="adminportal.downlads.clientconsoledownload" />
                </span>

            </button>
        </fieldset> -->

        <fieldset>
            <legend>                
                <fmt:message key="adminportal.downlads.scomconfigmptitle" />
            </legend>
            <p>               
                <fmt:message key="adminportal.downlads.scomconfigmphelp" />
            </p>
            
            <button id="downloadSCOMConfigureMPButton" class="cux-button cux-button-medium cux-button-primary" type="button">
                <i class="cux-icon cux-icon-download-alt"></i><span>
                    <fmt:message key="adminportal.downlads.configmpdownload" />
                </span>

            </button>
        </fieldset>
        <!--/ko-->

    </form>
</section>
