<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_licensing" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.Licensing">
    <header>
        <h1>
            <fmt:message key="adminportal.licensing.title" />
        </h1>
    </header>
    <section id="error_licensing" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" ></section>

    <section>
    <header class="visuallyhidden">
        <h1>
            <fmt:message key="adminportal.licensing.title" />
        </h1>
    </header>
    <h2>
        <fmt:message key="adminportal.licensing.help" />
    </h2>
    <form>
        <div class="statusIndicator" data-bind="if: loading()">
            <span class="spinner">
                <img alt="spinner" src="dellclarity.core/images/body/spinner.gif" />
                <fmt:message key="adminportal.licensing.loadingmessage" />
            </span>
        </div>
        <fieldset data-bind="if: !loading()">
            <legend class="visuallyhidden">
                <fmt:message key="adminportal.licensing.hostconnectionlicenses.title" />
            </legend>
            <ul class="labelValuePairs">
                <!-- ko with: model -->
                <li>
                    <label for="usedLicenses">
                        <u><fmt:message key="adminportal.licensing.hostconnectionlicenses.availableservers" /></u>
                    </label>
                    <span id="usedLicenses" class="value" data-bind="text: availableservers"></span>
                </li>
                <li>
                    <label for="remainingLicenses">
                        <u><fmt:message key="adminportal.licensing.hostconnectionlicenses.managedservers" /></u>
                    </label>
                    <span id="remainingLicenses" class="value" data-bind="text: managedservers"></span>
                </li>
                <!-- /ko -->
            </ul>
        </fieldset>
    </form>
    </section>

    <section id="licenseinfo" style="  height: 250px;  overflow: auto;  overflow-x: hidden;">
    <header class="visuallyhidden">
        <h1>
            <fmt:message key="adminportal.licensing.title" />
        </h1>
    </header>

    <fmt:message key="adminportal.licenseinfo" />

    </section>
</section>
