<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_purgeLogs" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.PurgeLogs">
    <section id="error_purgeLogs" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <form>
        <!-- ko with: model -->
        <fieldset>
            <legend>
                <fmt:message key="adminportal.purgelogs.title" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="olderThan">
                        <u>
                            <fmt:message key="adminportal.purgelogs.olderthan" />
                        </u>
                    </label>
                    <input id="olderThan" class="value" type="date" data-bind="value: olderThan" required />
                </li>
                <li>
                    <span class="label">
                        <u>
                            <fmt:message key="adminportal.purgelogs.severity" />
                        </u>
                    </span>
                    <span class="value">
                        <input id="severityinformation" type="checkbox" data-bind="checked: severityinformation">
                        <label for="severityinformation">
                            <u>
                                <fmt:message key="adminportal.purgelogs.information" />
                            </u>
                        </label>
                        <br />
                        <input id="severitywarning" type="checkbox" data-bind="checked: severitywarning">
                        <label for="severitywarning">
                            <u>
                                <fmt:message key="adminportal.purgelogs.warning" />
                            </u>
                        </label>
                        <br />
                        <input id="severitycritical" type="checkbox" data-bind="checked: severitycritical" />
                        <label for="severitycritical">
                            <u>
                                <fmt:message key="adminportal.purgelogs.critical" />
                            </u>
                        </label>
                    </span>
                </li>
            </ul>
        </fieldset>
        <!-- /ko -->
        <div class="sectionEditButtons">
            <button id="applyButton" type="submit">
                <fmt:message key="adminportal.purgelogs.apply" />
            </button>
            <button id="cancelButton" type="button">
                <fmt:message key="adminportal.purgelogs.cancel" />
            </button>
        </div>
    </form>
</section>
