<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_user" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.User">
    <header>
        <h1>
            <fmt:message key="adminportal.usermanagement.addauser" />
        </h1>
    </header>
    <p>
        <fmt:message key="adminportal.usermanagement.help" />
    </p>
    <form>
        <!-- ko with: model -->
        <fieldset>
            <legend>
                <fmt:message key="adminportal.usermanagement.addauser" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="username">
                        <u>
                            <fmt:message key="adminportal.usermanagement.username" />
                        </u>
                    </label>
                    <input id="username" type="text" value=""  class="value" data-bind="value: username">
                </li>
                <li>
                    <label for="userDescription">
                        <u>
                            <fmt:message key="adminportal.usermanagement.userdescription" />
                        </u>
                    </label>
                    <textarea id="userDescription"  class="value" data-bind="value: description"></textarea>
                </li>
                <li>
                    <label for="role">
                        <u>
                            <fmt:message key="adminportal.usermanagement.role" />
                        </u>
                    </label>
                    <span class="value">
                        <select id="role" data-bind="value: rolename, options: userRoles, optionsValue: 'rolename', optionsText: 'rolename'">
                            <option value="">
                                <fmt:message key="adminportal.usermanagement.selectarole" />
                            </option>
                        </select>
                        <a id="createRole" href="#">
                            <fmt:message key="adminportal.usermanagement.createnew" />
                        </a>
                    </span>
                </li>
            </ul>
        </fieldset>
        <!-- /ko -->
        <div class="sectionEditButtons">
            <button id="userCancel" type="button">
                <fmt:message key="adminportal.usermanagement.cancel" />
            </button>
            <button id="userFinish" type="submit">
                <fmt:message key="adminportal.usermanagement.finish" />
            </button>
        </div>
    </form>
</section>
