<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_userManagement" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.UserManagement">
    <header class="page-heading">
        <h1>
            <fmt:message key="adminportal.usermanagement.title" />
        </h1>
    </header>
    <!--  <h2>
        <fmt:message key="adminportal.usermanagement.scvmmusermanagement" />
    </h2> -->
    <p>
        <fmt:message key="adminportal.usermanagement.help" />
    </p>
    <form>
        <fieldset>
            <legend>
                <fmt:message key="adminportal.usermanagement.usersgroupsandrolemanagement" />
            </legend>
            <!-- Commented out for 1.0 release -->
            <!--
            <nav>
                <ul class="inlineList">
                    <li>
                        <a id="linkRemoveUser" tabindex="1">
                            <fmt:message key="adminportal.usermanagement.removeauser" />
                        </a>
                    </li>
                </ul>
            </nav>
            -->
            <!-- ko with: table -->
            <table id="userManagementTable" class="dataTable">
                <thead>
                    <tr>
                        <!--
                        <th scope="col" class="checkboxColumn">
                            <input id="chkAllRows" type="checkbox" />
                            <label for="chkAllRows" class="visuallyhidden">
                                <u>
                                    <fmt:message key="adminportal.usermanagement.checkall" />
                                </u>
                            </label>
                        </th>
                        -->
                        <th scope="col">
                            <fmt:message key="adminportal.usermanagement.usersgroup" />
                        </th>
                        <th scope="col">
                            <fmt:message key="adminportal.usermanagement.status" />
                        </th>
                    </tr>
                </thead>
                <!-- ko if: loading() -->
                <tbody>
                    <tr>
                        <td colspan="3">
                            <fmt:message key="scrollabletable.loading" />
                            <span>&nbsp;</span>
                            <span class="icon spinner"></span>
                        </td>
                    </tr>
                </tbody>
                <!-- /ko -->
                <!-- ko if: !loading() && (!data || data().length == 0) -->
                <tbody>
                    <tr>
                        <td colspan="3">
                            <fmt:message key="scrollabletable.footer" />
                        </td>
                    </tr>
                </tbody>
                <!-- /ko -->
                <!-- ko if: !loading() && data && data().length > 0 -->
                <tbody data-bind="foreach: data">
                    <tr>
                        <!--
                        <td class="checkboxColumn">
                            <input type="checkbox" id="enabled" name="enabled" data-bind="checked: checked, indexedid: 'user'" />
                            <label class="visuallyhidden" data-bind="indexedfor: 'user'">
                                <u>
                                    <fmt:message key="adminportal.usermanagement.enabled" />
                                </u>
                            </label>
                        </td>
                        -->
                        <td>
                            <span data-bind="text: username, indexedid: 'username'"></span>
                        </td>
                        <td>
                            <span data-bind="text: state"></span>
                        </td>
                    </tr>
                </tbody>
                <!-- /ko -->
            </table>
            <!-- /ko -->
        </fieldset>
    </form>
</section>
