<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_applianceManagement_troubleshootingBundle" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ApplianceManagement.TroubleshootingBundle">
    <section id="error_troubleshooting" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />

    <form>
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="appliancemanagement.troubleshootingbundle.title" />
            </legend>
            <div data-bind="visible: zippingLogs()">
                <span class="icon loadingSpinner" style="width: 60px;"></span>
                <span>
                    <fmt:message key="appliancemanagement.troubleshootingbundle.loading" />
                </span>
            </div>
            <div data-bind="visible: !zippingLogs()">
                <p>
                    <fmt:message key="appliancemanagement.troubleshootingbundle.information" />
                </p>
                <a id="linkDownloadTroubleshootingBundle" class="dialogLink">
                    <fmt:message key="appliancemanagement.troubleshootingbundle.download" />
                </a>
            </div>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="btnCancel" type="button">
                <span data-bind="visible: zippingLogs()">
                    <fmt:message key="appliancemanagement.troubleshootingbundle.cancel" />
                </span>
                 <span id="btnClose" data-bind="visible: !zippingLogs()">
                    <fmt:message key="appliancemanagement.troubleshootingbundle.close" />
                </span>
            </button>
        </div>
    </form>
</section>
