<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_applianceManagement_updateAppliance" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ApplianceManagement.UpdateAppliance">
    <section id="error_updateAppliance" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <form>
        <fieldset data-bind="visible: upgradePossible()">
            <legend class="visuallyhidden">
                <fmt:message key="appliancemanagement.updateappliance.title" />
            </legend>
            <div class="messageBox info clearfix" data-bind="visible: updatingAppliance()">
                    <span class="icon spinner"></span>
                    <span>
                        <fmt:message key="appliancemanagement.updateappliance.updatingappliance" />
                    </span>
            </div>
            <br />
            <ul class="labelValuePairs">
          <!--      <li>
                    <label for="currentVersion">
                        <u>
                            <fmt:message key="appliancemanagement.updateappliance.currentapplianceversion" />
                        </u>
                    </label>
                    <span id="currentVersion" class="value" data-bind="text: currentVersion"></span>
                </li> -->
                <li>
                    <label for="availableVersion">
                        <u>
                            <fmt:message key="appliancemanagement.updateappliance.availableapplianceversion" />
                        </u>
                    </label>
                    <span id="availableVersion" class="value" data-bind="text: availableVersion"></span>
                </li>
            </ul>
            <br />
            <div>
                <span>
                    <fmt:message key="appliancemanagement.updateappliance.information" />
                </span>
            </div>
        </fieldset>
        <fieldset data-bind="visible: !upgradePossible()">
            <legend class="visuallyhidden">
                <fmt:message key="appliancemanagement.updateappliance.title" />
            </legend>
            <div>
                <div style="float: left; width: 60px; height: 60px;">
                    <p data-bind="visible: !upgradePossible()">
                        <span class="icon information_48"></span>
                    </p>
                </div>
                <div>
                    <p id="noNewVersionAvailableMessage" data-bind="visible: !upgradePossible()">
                        <fmt:message key="appliancemanagement.updateappliance.nonewversionisavailable" />
                    </p>
                </div>
            </div>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="btnUpload" type="submit" data-bind="enable: upgradePossible() && !updatingAppliance()">
                <fmt:message key="appliancemanagement.updateappliance.update" />
            </button>
            <button id="btnCancel" type="button">
                <fmt:message key="appliancemanagement.updateappliance.cancel" />
            </button>
        </div>
    </form>
</section>
