<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_ntpSettings" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.NtpSettings">
    <header>
        <h1>
            <fmt:message key="adminportal.appliancemanagement.ntpsettings" />
        </h1>
    </header>
    <form id="settingsForm">
        <!-- ko with: model -->
        <fieldset>
            <legend>
                <fmt:message key="adminportal.appliancemanagement.ntpsettings" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <input id="enableNtpServer" type="checkbox" class="value" data-bind="checked: enableNtpServer" />
                    <label for="enableNtpServer">
                        <u>
                            <fmt:message key="adminportal.appliancemanagement.enablentpserver" />
                        </u>
                    </label>
                    <ul class="labelValuePairs">
                        <li>
                            <label for="prefrerredNtpServer">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.prefrerredntpserver" />
                                </u>
                            </label>
                            <input id="prefrerredNtpServer" type="text" value=""  class="value" data-bind="value: preferredNtpServer, enable: enableNtpServer">
                        </li>
                        <li>
                            <label for="secondaryNtpServer">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.secondaryntpserver" />
                                </u>
                            </label>
                            <input id="secondaryNtpServer" type="text" value=""  class="value" data-bind="value: secondaryNtpServer, enable: enableNtpServer">
                        </li>
                    </ul>
                </li>
            </ul>
        </fieldset>
        <!-- /ko -->
        <div class="sectionEditButtons">
            <button id="settingsSave" type="submit">
                <fmt:message key="backupandrestore.settingsanddetails.save" />
            </button>
            <button id="settingsCancel" type="button">
                <fmt:message key="backupandrestore.settingsanddetails.cancel" />
            </button>
        </div>
    </form>
</section>
