<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_monitoringdevices_template" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.MonitoringDevices.Details">
    <section id="error_monitoringdevices" role="alert" class="messageBox" data-bind="template: DellClarity.Controls.MessageBox.templateName"></section>
    <p>
        <fmt:message key="monitoringdevices.help" />
    </p>
    <form>
        <!-- ko with: model -->
        <fieldset>
            <legend>
                <fmt:message key="monitoringdevices.devices" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <input id="servers" type="checkbox" class="value" data-bind="checked: monitorServers" />
                    <label for="servers">
                        <u>
                            <fmt:message key="monitoringdevices.servers" />
                        </u>
                    </label>
                </li>
                <li>
                    <input id="chassis" type="checkbox" class="value" data-bind="checked: monitorChassis" />
                    <label for="chassis">
                        <u>
                            <fmt:message key="monitoringdevices.chassis" />
                        </u>
                    </label>
                </li>
                <li>
                    <input id="switches" type="checkbox" class="value" data-bind="checked: monitorSwitches" />
                    <label for="switches">
                        <u>
                            <fmt:message key="monitoringdevices.switches" />
                        </u>
                    </label>
                </li>
            </ul>
        </fieldset>
        <!-- /ko -->

        <div class="sectionEditButtons">
            <button id="monitoringDevices" class="cux-button cux-button-large cux-button-primary" type="submit">
                <fmt:message key="monitoringdevices.submit" />
            </button>
            <button id="monitoringDevicesCancel" class="cux-button cux-button-large cux-button-danger" type="button">
                <fmt:message key="monitoringdevices.cancel" />
            </button>
        </div>
    </form>
</section>
