<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_scvmmRegistration_editRegisteredSCVMM" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ScvmmRegistration.editRegisteredSCVMM">
    <section id="error_editRegisteredSCVMM" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" ></section>
    <form>
        <fieldset>
           <legend class="visuallyhidden">
                <fmt:message key="scvmmregistration.modifycredentials.title" />:
                 <span data-bind="text: adminAccount"></span> 
            </legend>
            <ul class="labelValuePairs"  data-bind="with: scvmmRegistrationModel">
                <li class="visuallyhidden">
                    <label for="username">
                        <u>
                            <fmt:message key="scvmmregistration.modifycredentials.username" />
                        </u>
                    </label>
                    <input id="username" type="text" class="value" data-bind="value: scvmmAdminUserName"/>
                </li>
                <li>
                    <label for="password">
                        <u>
                            <fmt:message key="scvmmregistration.modifycredentials.password" />
                        </u>
                    </label>
                    <input id="password" type="password" value=""  class="value" data-bind="value: password" required />
                </li>
                <li>
                    <label for="newpassword">
                        <u>
                            <fmt:message key="scvmmregistration.modifycredentials.newpassword" />
                        </u>
                    </label>
                    <input id="newpassword" type="password" value=""  class="value" data-bind="value: newPassword" required />
                </li>
                <li>
                    <label for="verifyPassword">
                        <u>
                            <fmt:message key="scvmmregistration.modifycredentials.verifypassword" />
                        </u>
                    </label>
                    <input id="verifyPassword" type="password" value=""  class="value" data-bind="value: $parent.verifyPassword" required />
                </li>
            </ul>
            <div>
                <br />
                <span>
                    <fmt:message key="scvmmregistration.modifycredentials.note" />
                    :
                </span>
                <span>
                    <fmt:message key="scvmmregistration.modifycredentials.notehelp" />
                </span>
                <br /> &nbsp;
            </div>
        </fieldset>

        <div class="statusIndicator">
            <span class="spinner" data-bind="visible: applyingSettings">
                <img alt="spinner" src="dellclarity.core/images/body/spinner.gif" />
                <fmt:message key="scvmmregistration.modifycredentials.spinnerText"/>
            </span>
        </div>

        <div class="sectionEditButtons">
            <button id="applyModify" type="submit">
                <fmt:message key="scvmmregistration.modifycredentials.save" />
            </button>
            <button id="cancelModify" type="button">
                <fmt:message key="scvmmregistration.modifycredentials.cancel" />
            </button>
        </div>
    </form>
</section>
