<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_setupAndConfig_checkinPluginCommunication" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.SetupAndConfiguration.CheckingPluginCommunicationModal">
    <section id="error_checkPlugin" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <header>
        <h1>
            <fmt:message key="setupandconfiguration.checkinplugincommunication.title" />
        </h1>
    </header>

    <p>
        <fmt:message key="setupandconfiguration.checkinplugincommunication.help" />
    </p>

    <form>

        <!-- Removed for BETA, please do not delete -->
        <!--
        <ol class="bulletedList">
            <li>
                <h2>
                    <fmt:message key="setupandconfiguration.checkinplugincommunication.checkingcommunicationwithspfscvmm" />
                </h2>
                <span class="spinner" data-bind="visible: !checkedProxy()">
                    <img alt="spinner" src="dellclarity.core/images/body/spinner.gif" />
                </span>
                <p data-bind="visible: checkedProxy">
                    <span class="icon statusOK_16"></span>
                    <fmt:message key="setupandconfiguration.checkinplugincommunication.checkinginstallation" />
                </p>
            </li>
            <li>
                <h2>
                    <fmt:message key="setupandconfiguration.checkinplugincommunication.checkingcommunicationwithvmmvirtgat" />
                </h2>
                <span class="spinner" data-bind="visible: !checkedVirtGateway() && checkedProxy()">
                    <img alt="spinner" src="dellclarity.core/images/body/spinner.gif" />
                </span>
                <p data-bind="visible: checkedVirtGateway() && checkedProxy()">
                    <span class="icon statusOK_16"></span>
                    <fmt:message key="setupandconfiguration.checkinplugincommunication.checkingcommunicationwithvmmvirtgatsucceessful" />
                </p>
            </li>
            <li>
                <h2>
                    <fmt:message key="setupandconfiguration.checkinplugincommunication.checkingcommunicationandauthentication" />
                </h2>
                <span class="spinner" data-bind="visible: !checkedLicense() && checkedVirtGateway()">
                    <img alt="spinner" src="dellclarity.core/images/body/spinner.gif" />
                </span>
                <p data-bind="visible: checkedLicense() && checkedVirtGateway()">
                    <span class="icon statusOK_16"></span>
                    <fmt:message key="setupandconfiguration.checkinplugincommunication.communicationwithlicensemanagersuccessful" />
                </p>
            </li>
            <li>
                <h2>
                    <fmt:message key="setupandconfiguration.checkinplugincommunication.applyingthesettings" />
                </h2>
                <p>
                    <fmt:message key="setupandconfiguration.checkinplugincommunication.afterthecommunication" />
                </p>
                
                <div class="statusIndicator">
                    <span class="spinner" data-bind="visible: applyingSettings">
                        <img alt="spinner" src="dellclarity.core/images/body/spinner.gif" />
                        <fmt:message key="setupandconfiguration.checkinplugincommunications.spinnerText"/>
                    </span>
                </div>
            </li>
        </ol>
        <h2>
            <fmt:message key="setupandconfiguration.checkinplugincommunication.applyingthesettings" />
        </h2>
        <p>
            <fmt:message key="setupandconfiguration.checkinplugincommunication.afterthecommunication" />
        </p>
        -->
                
        <div class="statusIndicator">
            <span class="spinner" data-bind="visible: applyingSettings">
                <img alt="spinner" src="dellclarity.core/images/body/spinner.gif" />
                <fmt:message key="setupandconfiguration.checkinplugincommunications.spinnerText"/>
            </span>
        </div>

        <div class="sectionEditButtons">
            <button id="btnApplySettings" type="button" data-bind="visible: applyingSettings() === false && checkingSettings() === false, enable: applySettings() && checkedVirtGateway()">
                <fmt:message key="setupandconfiguration.checkinplugincommunication.apply" />
            </button>
            <button id="btnCancel" type="button" data-bind="visible: applyingSettings() === false && checkingSettings() === false, enable: applySettings() && checkedVirtGateway()">
                <fmt:message key="setupandconfiguration.checkinplugincommunication.cancel" />
            </button>
        </div>
    </form>
</section>
