<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_setupAndConfig_downloadInstall" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.SetupAndConfiguration.DownloadAndInstall">
    <header>
        <h1>
            <fmt:message key="setupandconfiguration.downloadandinstall.title" />
        </h1>
    </header>

    <p>
        <fmt:message key="setupandconfiguration.downloadandinstall.help" />
    </p>

    <form>
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="setupandconfiguration.downloadandinstall.installations" />
            </legend>
            <ol class="bulletedList">
                <li>
                    <h3>
                        <fmt:message key="setupandconfiguration.downloadandinstall.vmmvirtualizationgatewayinstallation" />
                    </h3>
                    <!--                    
                    <p>
                        <fmt:message key="setupandconfiguration.downloadandinstall.shorthelp" />
                    </p>-->
                    <button id="downloadInstaller" type="button"><fmt:message key="setupandconfiguration.downloadandinstall.downloadinstaller" /></button>
                    
                </li>
                <!-- Commented out for BETA, please do not delete -->   
                <!--<li>
                    <h3>
                        <fmt:message key="setupandconfiguration.downloadandinstall.licensemanagerinstallation" />
                    </h3>
                    <p>
                        <fmt:message key="setupandconfiguration.downloadandinstall.licensemanagerinstallationhelp" />
                    </p>
                </li>-->
            </ol>
        </fieldset>
    </form>

</section>
