<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_setupAndConfig_installationType" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.SetupAndConfiguration.InstallationType">
    <header>
        <h1>
            <fmt:message key="setupandconfiguration.installationtype.title" />
        </h1>
    </header>

    <p>
        <fmt:message key="setupandconfiguration.installationtype.help" />
    </p>

    <form>
        <fieldset>
            <legend>
                <fmt:message key="setupandconfiguration.installationtype.title" />
            </legend>

            <ul class="labelValuePairs">
                <li>
                    <input type="radio" class="value" name="installationType" id="newInstall" value="0" data-bind="checked: installationType">
                    <label for="newInstall">
                        <u>
                            <fmt:message key="setupandconfiguration.installationtype.newtejasinstallation" />
                        </u>
                    </label>
                </li>
                <li>
                    <input type="radio"  class="value" name="installationType" id="restoreTejasBackup" value="1" data-bind="checked: installationType">
                    <label for="restoreTejasBackup">
                        <u>
                            <fmt:message key="setupandconfiguration.installationtype.restorefromaprevioustejasabckup" />
                        </u>
                    </label>
                    <ul class="labelValuePairs">
                        <li>
                            <input type="checkbox" id="checkDatabaseIntegrity" class="value" data-bind="checked: checkDatabase, enable: installationType() == 1"/>
                            <label for="checkDatabaseIntegrity">
                                <u>
                                    <fmt:message key="setupandconfiguration.installationtype.checkdatabaseintegrity" />
                                </u>
                            </label>
                        </li>
                    </ul>
                </li>
            </ul>
        </fieldset>
    </form>
</section>
