<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_setupAndConfig_plugInCommunication" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.SetupAndConfiguration.ServerDetails">
    <header>
        <h1>
            <fmt:message key="setupandconfiguration.serverdetails.title" />
        </h1>
    </header>
    <p>
        <fmt:message key="setupandconfiguration.serverdetails.help" />
    </p>
    <!-- ko with: model -->
    <form id="serverDetailsForm" autocomplete="off">
        <fieldset>
            <legend>
                <fmt:message key="setupandconfiguration.serverdetails.serverdetails" />
            </legend>

            <ul class="labelValuePairs">
                <li>
                    <label for="fqdn">
                        <u>
                            <fmt:message key="setupandconfiguration.serverdetails.scvmmfqdn" />
                        </u>
                    </label>
                    <input id="fqdn" type="text" value="" class="value"  data-bind="disable: $parent.hasSettings, value: scvmmFqdn" required>

                    <label for="scvmmAccountTitle">
                        <u>
                            <strong><fmt:message key="setupandconfiguration.serverdetails.scvmmAccountTitle" /></strong>
                        </u>
                    </label>
                   <input id="scvmmAccountTitle" type="text" value="" class="value" style="display: none">

                    <ul class="labelValuePairs">
                        <li>
                            <label for="scvmmUsername">
                                <u>
                                    <fmt:message key="setupandconfiguration.serverdetails.username" />
                                </u>
                            </label>
                            <input id="scvmmUsername" type="text" value="" class="value" placeholder="<fmt:message key="setupandconfiguration.serverdetails.domainUsername" />" data-bind="disable: $parent.hasSettings, value: scvmmAdminUsername" required>
                        </li>
                        <li>
                            <label for="scvmmPassword">
                                <u>
                                    <fmt:message key="setupandconfiguration.serverdetails.password" />
                                </u>
                            </label>
                            <input id="scvmmPassword" type="password" value="" class="value" placeholder="<fmt:message key="setupandconfiguration.serverdetails.passwordplaceholder" />" data-bind="disable: $parent.hasSettings, value: scvmmAdminPassword" required>
                        </li>
                    </ul>
                </li>
                <li>
                    <label for="vmmVirtGatewayFqdn">
                        <u>
                            <fmt:message key="setupandconfiguration.serverdetails.vmmvirtualizationgatewayfqdn" />
                        </u>
                    </label>
                    <input id="vmmVirtGatewayFqdn" type="text" value="" class="value"  data-bind="disable: $parent.hasSettings, value: vmmVirtualizationGatewayFqdn" required>

                    <label for="vmmVirtGatewayAccountTitle">
                        <u>
                            <strong><fmt:message key="setupandconfiguration.serverdetails.vmmVirtGatewayAccountTitle" /></strong>
                        </u>
                    </label>
                   <input id="vmmVirtGatewayAccountTitle" type="text" value="" class="value" style="display: none">

                    <ul class="labelValuePairs">
                        <li>
                            <label for="iisAdminName_details">
                                <u>
                                    <fmt:message key="setupandconfiguration.serverdetails.iisAdminName" />
                                </u>
                            </label>
                            <input id="iisAdminName_details" type="text" value="" class="value" placeholder="<fmt:message key="setupandconfiguration.serverdetails.domainUsername" />"  data-bind="disable: $parent.hasSettings, value: iisAdminName" required>
                        </li>
                        <li>
                            <label for="iisPassword_details">
                                <u>
                                    <fmt:message key="setupandconfiguration.serverdetails.iispassword" />
                                </u>
                            </label>
                            <input id="iisPassword_details" type="password" value="" class="value" placeholder="<fmt:message key="setupandconfiguration.serverdetails.passwordplaceholder" />" data-bind="disable: $parent.hasSettings, value: iisPassword" required>
                        </li>
                        <li>
                            <label for="portNumberVMM_details">
                                <u>
                                    <fmt:message key="setupandconfiguration.serverdetails.portnumber" />
                                </u>
                            </label>
                            <input id="portNumberVMM_details" type="number" min="0" step="1" value="" class="value"  data-bind="disable: $parent.hasSettings, value: portNumberVMM" required>
                        </li>
                    </ul>

                </li>
                <!-- <li>
                    <label for="licenseManagerTitle">
                        <u>
                            <fmt:message key="setupandconfiguration.serverdetails.licenseinformation" />
                        </u>
                    </label>
                   <input id="licenseManagerTitle" type="text" value="" class="value" style="display: none">

                    <ul class="labelValuePairs">
                        <li>
                            <label for="licenseManagerWebConsoleUrl">
                                <u>
                                    <fmt:message key="setupandconfiguration.serverdetails.licensemanagerwebconsoleurl" />
                                </u>
                            </label>
                            <input id="licenseManagerWebConsoleUrl" type="text" value="" placeholder="<fmt:message key="setupandconfiguration.serverdetails.licensemanagerwebconsoleurlhint" />" class="value" data-bind="disable: $parent.hasSettings, value: licenseManagerWebConsoleUrl" required>
                        </li>
                        <li>
                            <label for="licenseManagerWebServiceUrl">
                                <u>
                                    <fmt:message key="setupandconfiguration.serverdetails.licensemanagerwebserviceurl" />
                                </u>
                            </label>
                            <input id="licenseManagerWebServiceUrl" type="text" value="" placeholder="<fmt:message key="setupandconfiguration.serverdetails.licensemanagerwebserviceurlhint" />" class="value" data-bind="disable: $parent.hasSettings, value: licenseManagerWebServiceUrl" required>
                        </li>
                    </ul>
                </li> -->
            </ul>
        </fieldset>
    </form>
    <!-- /ko -->
</section>
