DellClarity.Localization.Translations = {
    genericTerms: {
        about: '??',
        confirm: '??',
        save: '??',
        cancel: '??',
        enabled: '???',
        disabled: '???',
        expand: '??',
        collapse: '??',
        select: '??',
        url: 'URL',
        response: '??',
        lineNumber: '??',
        minimize: '???',
        maximize: '???',
        normal: '??'
    },
    core: {
        confirm: '??',
        genericexception: '?????',
        networkexception: '??????? ??????????????',
        enabled: '???',
        disabled: '???',
        nopassword: '???',
        stars: '********',
        select: '??',
        actionInProgress: '??????',
        pleaseWait: '???...'
    },
    validation: {
        required: '??????',
        pattern: '????????:{title}',
        email: {
            hint: 'JohnDoe@domain.com',
            example: '?????????(??  JohnDoe@domain.com)',
        },
        url: {
            hint: 'http://',
            example: '???????(?? http://company.com)',
        },
        number: {
            example: '?????(?? {example})',
            invalidMin: '?????? {min}',
            invalidMax: '????? {max}',
            invalidRange: '????? {min} ? {max} ??',
            invalidStep: 'Value ???? {min} ??????? {step} ???',
        },
        date: {
            hint: 'mm/dd/yyyy',
            example: '?????(?? {example})',
            invalidMin: '??????? {min}',
            invalidMax: '??????? {max}',
            invalidRange: '????? {min} ? {max} ??',
            invalidStep: {
                days: '????? {min} ??????? {step} ????',
                hours: '????? {min} ??????? {step} ?????',
                minutes: '????? {min} ??????? {step} ?????',
            },
        },
        datetime: {
            hint: 'mm/dd/yyyy hh:mm pm',
            example: '????????(?? {example})',
        }
    },
    table: {
        zeroRecords: "??????",
        loadingData: '??????...',
        tasks: '????'
    },
    wizard: {
        cancel: "??",
        saveAndContinue: '?????',
        next: "???",
        finish: "??",
        stepXofY: "?? %%currentStep%%/%%totalSteps%%",
        submit: "??",
        save: "??",
        confirmcanceltitle: "??",
        confirmcancel: "????????",
        successtitle: "??",
        successmessage: "????????????"
    },
    loadingText: {
        loading: "????...",
        noData: "?????"
    },
    dateFilterText: {
        from: "???:",
        to: "???:"
    }
};
