<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_roleUser">
    <header>
        <h1>
            <fmt:message key="adminportal.usermanagement.addarole" />
        </h1>
    </header>
    <p>
        <fmt:message key="adminportal.usermanagement.help" />
    </p>
    <form>
        <fieldset>
            <legend>
                <fmt:message key="adminportal.usermanagement.addarole" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="roleName">
                        <u>
                            <fmt:message key="adminportal.usermanagement.rolename" />
                        </u>
                    </label>
                    <input id="roleName" type="text" value=""  class="value">
                </li>
                <li>
                    <label for="roleDescription">
                        <u>
                            <fmt:message key="adminportal.usermanagement.roledescription" />
                        </u>
                    </label>
                    <textarea id="roleDescription"  class="value"></textarea>
                </li>
                <li>
                    <label for="selectPrivileges">
                        <u>
                            <fmt:message key="adminportal.usermanagement.selectprivileges" />
                        </u>
                    </label>
                    <textarea id="selectPrivileges"  class="value"></textarea>
                </li>
            </ul>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="roleCancel" type="button">
                <fmt:message key="adminportal.usermanagement.cancel" />
            </button>
            <button id="roleFinish" type="submit">
                <fmt:message key="adminportal.usermanagement.finish" />
            </button>
        </div>
    </form>
</section>
