<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_applianceManagement_restartAppliance" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ApplianceManagement.RestartAppliance">
        <section id="error_restartAppliance" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />

    <form>
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="appliancemanagement.restartappliance.title" />
            </legend>
            <div class="messageBox info clearfix" data-bind="visible: restartingAppliance()">
                <span class="icon spinner"></span>
                <span>
                    <fmt:message key="appliancemanagement.restartappliance.processing" />
                </span>
            </div>
            <br />
            <span>
                <fmt:message key="appliancemanagement.restartappliance.content" />
            </span>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="btnApply" type="submit" data-bind="enable: !restartingAppliance()">
                <fmt:message key="appliancemanagement.restartappliance.apply" />
            </button>
            <button id="btnCancel" type="button">
                <fmt:message key="appliancemanagement.restartappliance.cancel" />
            </button>
        </div>
    </form>
</section>

