<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_backupAndRestore_applianceRestore" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore">
    <section id="error_backuprestore" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    
    <form id="applianceRestoreForm" autocomplete="off">
    <p>
        <fmt:message key="backupandrestore.appliancerestore.help" />
    </p>

    <section class="messageBox warning open" id="staticWarningBox" role="alert" style="display: block;padding: 0.5em !important">
        <header style="margin: 1.2em 0">
            <div style="padding: 1.5em 0px 0px 1em;">
                <span class="icon"></span>
            </div>
        </header>
        <div class="msgBoxContents">
            <p><fmt:message key="backupandrestore.appliancerestore.warning" /></p>
        </div>
    </section>

    <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="backupandrestore.appliancerestore.title" />
            </legend>
            <ul class="labelValuePairs">

                <li>
                    <label for="ipAddress">
                        <u>
                            <fmt:message key="backupandrestore.appliancerestore.ipaddress" />
                        </u>
                    </label>
                    <input id="ipAddress" type="text" value="" class="value" placeholder="192.168.1.10" data-bind="value: ipAddress, pattern: 'ipv4'" title="<fmt:message key="backupandrestore.appliancerestore.IPErrorMessage"/>" required />
                                          
                    </li>
               
                <!-- <li>
                    <label for="userName">
                        <u>
                            <fmt:message key="backupandrestore.appliancerestore.username" />
                        </u>
                    </label>
                    <input id="userName" name="userName" required data-bind="value: username, event: { blur: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.trimUsernameText }" type="text" maxlength="59" pattern="^[0-9a-zA-Z ]{1,59}$" class="value" title='<fmt:message key="backupandrestore.appliancerestore.username.title" />' placeholder='<fmt:message key="backupandrestore.appliancerestore.username.hinttext" />'>
                </li>
                
                <li>
                    <label for="password">
                        <u>
                            <fmt:message key="backupandrestore.appliancerestore.password" />
                        </u>
                    </label>
                    <input id="password" name="password" required data-bind="value: password, event: { blur: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.trimPasswordText }" type="password" maxlength="59" title='<fmt:message key="backupandrestore.appliancerestore.password.title" />' class="value">
                </li>  -->
               
            </ul>
        </fieldset>

        <div class="sectionEditButtons">
            <button id="btnYes" class="cux-button cux-button-large cux-button-primary"  type="submit">
                <fmt:message key="backupandrestore.appliancerestore.restore" />
            </button>
            <button id="btnCancel" class="cux-button cux-button-large cux-button-danger"  type="button">
                <fmt:message key="backupandrestore.appliancerestore.cancel" />
            </button>
        </div>

    </form>
</section>
