<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_backupAndRestore_confirmApplianceRestore" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ConfirmApplianceRestore">
    <section id="error_backuprestore" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <form id="confirmApplianceRestoreForm">
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="backupandrestore.confirmappliancerestore.title" />
            </legend>
            <div style="float: left; width: 60px;">
                <span class="icon information_48"></span>
            </div>
            <span><fmt:message key="backupandrestore.confirmappliancerestore.title" /></span>
            <p>
                <fmt:message key="backupandrestore.confirmappliancerestore.information" />
            </p>
            <br />
            <!-- ko with: model -->
            <ul class="labelValuePairs">
                <li>
                    <label for="currentVersion">
                        <u>
                            <fmt:message key="backupandrestore.confirmappliancerestore.loggedinusers" />
                        </u>
                    </label>
                    <span id="currentVersion" class="value" data-bind="text: currentusers"></span>
                </li>
                <li>
                    <label for="availableVersion">
                        <u>
                            <fmt:message key="backupandrestore.confirmappliancerestore.currentlypendingjobs" />
                        </u>
                    </label>
                    <span id="availableVersion" class="value" data-bind="text: pendingjobs"></span>
                </li>
            </ul>
            <br />
            <!-- /ko -->
            <p>
                <fmt:message key="backupandrestore.confirmappliancerestore.confirmation" />
            </p>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="btnYes" type="submit">
                <fmt:message key="backupandrestore.confirmappliancerestore.yes" />
            </button>
            <button id="btnCancel" type="button">
                <fmt:message key="backupandrestore.confirmappliancerestore.no" />
            </button>
        </div>
    </form>
</section>
