<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_proxySettings" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ProxySettings">
    <header>
        <h1>
            <fmt:message key="adminportal.appliancemanagement.proxysettings" />
        </h1>
    </header>
    <form id="settingsForm">
        <!-- ko with: model -->
        <fieldset>
            <legend>
                <fmt:message key="adminportal.appliancemanagement.proxysettings" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <input id="enableProxyServer" type="checkbox" class="value" data-bind="checked: enableProxyServer" />
                    <label for="enableProxyServer">
                        <u>
                            <fmt:message key="adminportal.appliancemanagement.enableproxyserver" />
                        </u>
                    </label>
                    <ul class="labelValuePairs">
                        <li>
                            <label for="proxyServerAddress">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.proxyserveraddress" />
                                </u>
                            </label>
                            <input id="proxyServerAddress" type="text" value=""  class="value" data-bind="value: proxyServerAddress, enable: enableProxyServer, pattern: 'ipv4'" placeholder="192.168.0.1">
                        </li>
                        <li>
                            <label for="port">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.port" />
                                </u>
                            </label>
                            <input id="port" type="text" value="" class="value" data-bind="value: port, enable: enableProxyServer">
                        </li>
                        <li>
                            <label for="username">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.username" />
                                </u>
                            </label>
                            <input id="username" type="text" value="" class="value" data-bind="value: username, enable: enableProxyServer">
                        </li>
                        <li>
                            <label for="password">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.password" />
                                </u>
                            </label>
                            <input id="password" type="text" value="" class="value" data-bind="value: password, enable: enableProxyServer">
                        </li>
                    </ul>
                </li>
            </ul>
        </fieldset>
        <!-- /ko -->
        <div class="sectionEditButtons">
            <button id="settingsSave" type="submit">
                <fmt:message key="backupandrestore.settingsanddetails.save" />
            </button>
            <button id="settingsCancel" type="button">
                <fmt:message key="backupandrestore.settingsanddetails.cancel" />
            </button>
        </div>
    </form>
</section>
