<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_scvmmRegistration_editDLCIIntegration" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ScvmmRegistration.editDLCIIntegration">
    <section id="error_editDLCI" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <form>
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="adminportal.scvmmregistration.dlciIntegration" />
            </legend>
            <ul class="labelValuePairs" data-bind="with: dlciIntegrationModel">
                <li class="visuallyhidden">
                    <label for="editIISAdminName">
                        <u> 
                            <fmt:message key="adminportal.scvmmregistration.iisAdmin" />
                        </u>
                    </label>
                    <input id="editIISAdminName" type="text" class="value" data-bind="value: iisAdminName"/>
                </li>

                <li>
                    <label for="editiisPassword">
                        <u> 
                            <fmt:message key="adminportal.scvmmregistration.iisPassword" />
                        </u>
                    </label>
                    <input id="editiisPassword" type="password" value="" class="value" data-bind="value: iisPassword" required />
                </li>

                <li>
                    <label for="iisNewPassword">
                        <u> 
                            <fmt:message key="adminportal.scvmmregistration.iisNewPassword" />
                        </u>
                    </label>
                    <input id="iisNewPassword" type="password" value="" class="value" data-bind="value: iisNewPassword" required />
                </li>

                <li>
                    <label for="verifyiisPassword">
                        <u> 
                            <fmt:message key="adminportal.scvmmregistration.verifyiisPassword" />
                        </u>
                    </label>
                    <input id="verifyiisPassword" type="password" value="" class="value" data-bind="value: $parent.verifyiisPassword" required />
                </li>

              </ul>
        </fieldset>

        <div class="statusIndicator">
            <span class="spinner" data-bind="visible: applyingSettings">
                <img alt="spinner" src="dellclarity.core/images/body/spinner.gif" />
                <fmt:message key="scvmmregistration.dlciIntegration.spinnerText"/>
            </span>
        </div>

        <div class="sectionEditButtons">
            <button id="dlciSave" type="submit">
                <fmt:message key="scvmmregistration.modifycredentials.save" />
            </button>
            <button id="dlciCancel" type="button">
                <fmt:message key="scvmmregistration.modifycredentials.cancel" />
            </button>
        </div>
    </form>
</section>
