<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="editLicenseInformationSection" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ScvmmRegistration.editLicenseInformation">
    <section id="error_editLicenseInfo" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <form id="licenseInformationForm">
        <fieldset>
            <legend>
                <fmt:message key="adminportal.scvmmregistration.scvmmLicenseInfo" />
            </legend>
            <ul class="labelValuePairs" data-bind="with: licenseModel">
                <li>
                    <label for="webConsoleUrl"><u><fmt:message key="adminportal.scvmmregistration.webConsole" /></u></label>
                    <input id="webConsoleUrl" type="text" class="value" data-bind="value: webConsoleUrl"/>
                </li>
                <li>
                    <label for="licenseManagerWebService"><u><fmt:message key="adminportal.scvmmregistration.webService" /></u></label>
                    <input id="licenseManagerWebService" type="text" class="value" data-bind="value: webServiceUrl"/>
                </li>
            </ul>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="licenseInfoSave" type="submit">
                <fmt:message key="backupandrestore.settingsanddetails.save" />
            </button>
            <button id="licenseInfoCancel" type="button">
                <fmt:message key="backupandrestore.settingsanddetails.cancel" />
            </button>
        </div>
    </form>
</section>
