<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_scvmmRegistration_modifyCredentials" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ScvmmRegistration.ModifyCredentials">
    <form>
        <fieldset>
            <legend>
                <fmt:message key="scvmmregistration.modifycredentials.title" />:
                <span data-bind="text: adminAccount"></span>
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="username">
                        <u>
                            <fmt:message key="scvmmregistration.modifycredentials.username" />
                        </u>
                    </label>
                    <input id="username" type="text" value=""  class="value" data-bind="value: username" required />
                </li>
                <li>
                    <label for="password">
                        <u>
                            <fmt:message key="scvmmregistration.modifycredentials.password" />
                        </u>
                    </label>
                    <input id="password" type="password" value=""  class="value" data-bind="value: password" required />
                </li>
                <li>
                    <label for="verifyPassword">
                        <u>
                            <fmt:message key="scvmmregistration.modifycredentials.verifypassword" />
                        </u>
                    </label>
                    <input id="verifyPassword" type="password" value=""  class="value" data-bind="value: verifyPassword" required />
                </li>
            </ul>
            <div>
                <span>
                    <fmt:message key="scvmmregistration.modifycredentials.note" />
                    :
                </span>
                <span>
                    <fmt:message key="scvmmregistration.modifycredentials.notehelp" />
                </span>
            </div>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="applyModify" type="submit">
                <fmt:message key="scvmmregistration.modifycredentials.apply" />
            </button>
            <button id="cancelModify" type="button">
                <fmt:message key="scvmmregistration.modifycredentials.cancel" />
            </button>
        </div>
    </form>
</section>
