<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_scvmmRegistration" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ScvmmRegistration.ScvmmRegistration">
    <header>
        <h1>
            <fmt:message key="adminportal.scvmmregistration.title" />
        </h1>
    </header>
    <form id="scvmmRegistrationForm" autocomplete="off">

        <fieldset>
            <legend>
                <fmt:message key="adminportal.scvmmregistration.dlciIntegration" />
            </legend>
                <nav>
                    <ul class="inlineList">
                        <li>
                            <a id="modifyDLCIIntegrationGateway" href="#/scvmmRegistration.editDLCIIntegratinGateway" class="dialogLink">
                                <fmt:message key="adminportal.scvmmregistration.modifyDLCI" />
                            </a>
                        </li>
                    </ul>
                </nav>
            <ul class="labelValuePairs" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ScvmmRegistration.ScvmmRegistration.dlciModel">
                <li>
                    <label for="dlciIntegrationGateway">
                        <u>
                            <fmt:message key="adminportal.scvmmregistration.dlciGateway" />
                        </u>
                    </label>
                    <span id="dlciIntegrationGateway" class="value" data-bind="text: dlciIntegrationGateway"></span>
                    <!-- </li> -->
                     <ul class="labelValuePairs"> 
                        <li>
                            <label for="iisAdminName"><u><fmt:message key="adminportal.scvmmregistration.iisAdmin" /></u></label>
                            <span id="iisAdminName" class="value" data-bind="text: iisAdminName" ></span>
                        </li>
                        <li>
                            <label for="iisPassword"><u><fmt:message key="adminportal.scvmmregistration.iisAdminPassword" /></u></label>
                            <span id="iisPassword" class="value">********</span>
                        </li>

                        <!-- <li>
                            <label for="igCredentialProfile"><u><fmt:message key="adminportal.scvmmregistration.credentialProfile" /></u></label>
                            <span id="igCredentialProfile" class="value"><fmt:message key="setupandconfiguration.serverdetails.vmmVirtGatewayAccountTitle" /><a id="modifyDLCIIntegrationGateway" href="#/scvmmRegistration.editDLCIIntegratinGateway">
                                <u><fmt:message key="adminportal.scvmmregistration.modifyDLCI" /></u></a></span>
                        </li>  -->
                        <li>
                            <label for="iisPortNumber"><u><fmt:message key="adminportal.scvmmregistration.portNumber" /></u></label>
                            <span id="iisPortNumber" class="value" data-bind="text: portNumber" ></span>
                        </li>
                    </ul>
                </li>
            </ul>
        </fieldset>

        <fieldset>
            <legend>
                <fmt:message key="adminportal.scvmmregistration.registeredscvmm" />
            </legend>
            
            <!--Commented out for BETA, please do not delete -->
            <nav>
                 <ul class="inlineList">
                    <li>
                        <a id="linkModifyCredentials" tabindex="1" href="#/scvmmRegistration.editRegisteredSCVMM" class="dialogLink">
                            <fmt:message key="adminportal.scvmmregistration.modifycredentials" />
                        </a>
                    </li>
                   <!--  <li>
                        <a id="linkUpdateCertificate" tabindex="2" class="dialogLink">
                            <fmt:message key="adminportal.scvmmregistration.uploadcertificate" />
                        </a>
                    </li> -->
                </ul>
            </nav>

            <ul class="labelValuePairs" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ScvmmRegistration.ScvmmRegistration.registeredSCVMMModel">
                <li>
                    <label for="vmmFQDN">
                        <u>
                            <fmt:message key="adminportal.scvmmregistration.vmmFQDN" />
                        </u>
                    </label>
                    <span id="vmmFQDN" class="value" data-bind="text: vmmFQDN"></span>
                    <!-- </li>-->
                    <ul class="labelValuePairs">
                        <li>
                            <label for="scvmmAdminUser"><u><fmt:message key="adminportal.scvmmregistration.scvmmAdminUser" /></u></label>
                            <span id="scvmmAdminUser" class="value" data-bind="text: scvmmAdminUserName"></span>
                        </li>
                        <li>
                            <label for="scvmmAdminPassword"><u><fmt:message key="adminportal.scvmmregistration.scvmmAdminPassword" /></u></label>
                            <span id="scvmmAdminPassword" class="value">********</span>
                        </li>
                        <!-- <li>
                            <label for="vmmCredentialProfile"><u><fmt:message key="adminportal.scvmmregistration.credentialProfile" /></u></label>
                            <span id="vmmCredentialProfile" class="value"><fmt:message key="setupandconfiguration.serverdetails.scvmmAccountTitle" /><a id="linkModifyCredentials" href="#/scvmmRegistration.editRegisteredSCVMM">
                            <u><fmt:message key="adminportal.scvmmregistration.modifycredentials" /></u></a></span>

                        </li> -->
                    </ul>
                </li>
            </ul>
        </fieldset>
        <!-- <fieldset>
            <legend>
                <fmt:message key="adminportal.scvmmregistration.scvmmLicenseInfo" />
            </legend> -->
            <!--Commented out for BETA, please do not delete -->
            <!--
            <nav>
                <ul class="inlineList">
                    <li>
                        <a id="modifyLicenseInformation" class="dialogLink" href="#/scvmmRegistration.editLicenseInformation"><fmt:message key="adminportal.scvmmregistration.modifyLicenseInfo" /></a>
                    </li> 
                </ul>
            </nav>
            -->
            <!-- <ul class="labelValuePairs" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ScvmmRegistration.ScvmmRegistration.licenseModel">
                <li>
                    <label for="webConsoleLink"><u><fmt:message key="adminportal.scvmmregistration.webConsole" /></u></label>
                    <a class="value" id="webConsoleLink" data-bind="text: webConsoleUrl(), attr: { href: webConsoleUrl() }" target="_blank"></a>
                </li>
                <li>
                    <label for="webServiceLink"><u><fmt:message key="adminportal.scvmmregistration.webService" /></u></label>
                    <a class="value" id="webServiceLink" data-bind="text: webServiceUrl(), attr: { href: webServiceUrl() }" target="_blank"></a>
                </li>
            </ul>
        </fieldset> -->
    </form>
</section>
