<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_scvmmRegistration_uploadCertificate" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ScvmmRegistration.UploadCertificate">
    <section id="error_uploadCert" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <form>
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="scvmmregistration.uploadcertificate.title" />
            </legend>
            <div>
                <div style="float: left; width: 60px; height: 130px;">
                    <span class="icon information_48"></span>
                </div>
                <div>
                    <p>
                        <fmt:message key="scvmmregistration.uploadcertificate.content1" />
                    </p>
                    <p>
                        <fmt:message key="scvmmregistration.uploadcertificate.content2" />
                    </p>
                    <p>
                        <fmt:message key="scvmmregistration.uploadcertificate.content3" />
                    </p>
                </div>
            </div>
            <ul class="labelValuePairs">
                <li>
                    <label for="browse" class="visuallyhidden">
                        <u>
                            <fmt:message key="scvmmregistration.uploadcertificate.browse" />
                        </u>
                    </label>
                    <input id="browse" type="file" class="value" data-bind="enable: !uploadFile()" required />
                    <p data-bind="visible: uploadFile()">
                        <span class="icon spinner" ></span>
                        <span><fmt:message key="scvmmregistration.uploadcertificate.uploadingfile" /></span>
                    </p>
                </li>
            </ul>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="btnUpload" type="submit" data-bind="enable: !uploadFile()">
                <fmt:message key="scvmmregistration.uploadcertificate.upload" />
            </button>
            <button id="btnCancel" type="button">
                <fmt:message key="scvmmregistration.uploadcertificate.cancel" />
            </button>
        </div>
    </form>
</section>
