DellClarity.Localization.Translations = {
    genericTerms: {
        about: ' propos de',
        confirm: 'Confirmer',
        save: 'Enregistrer',
        cancel: 'Annuler',
        enabled: 'Activ',
        disabled: ' Dsactiv',
        expand: 'Dvelopper',
        collapse: 'Rduire',
        select: ' slectionner',
        url: 'Url',
        response: 'Rponse',
        lineNumber: 'Numro de ligne',
        minimize: 'Rduire',
        maximize: 'Agrandir',
        normal: 'Normal'
    },
    core: {
        confirm: 'Confirmer',
        genericexception: 'Une erreur s\'est produite.',
        networkexception: 'Une exception rseau s\'est produite. Veuillez cliquer sur Actualiser sur votre navigateur.',
        enabled: 'Activ',
        disabled: 'Dsactiv',
        nopassword: 'Aucun mot de passe',
        stars: '********',
        select: 'Slectionner',
        actionInProgress: 'Une action est en cours',
        pleaseWait: 'Veuillez patienter...'
    },
    validation: {
        required: 'Veuillez remplir ce champ',
        pattern: 'Veuillez utiliser le format requis : {titre}',
        email: {
            hint: 'JohnDoe@domain.com',
            example: 'Entrez une adresse e-mail (par exemple, JohnDoe@domain.com)',
        },
        url: {
            hint: 'http://',
            example: 'Saisissez une adresse de site Web (par exemple, http://company.com)',
        },
        number: {
            example: 'Saisissez un nombre (par exemple, {example})',
            invalidMin: 'La valeur doit tre au moins {min}',
            invalidMax: 'La valeur ne doit pas tre suprieure {max}',
            invalidRange: 'La valeur doit tre entre {min} et {max}',
            invalidStep: 'La valeur doit tre un incrment de {tape} depuis {min}',
        },
        date: {
            hint: 'jj/mm/aaaa',
            example: 'Saisissez une date (par exemple, {exemple})',
            invalidMin: 'La valeur doit tre le ou aprs le {min}',
            invalidMax: 'La valeur doit tre le ou avant le {max}',
            invalidRange: 'La valeur doit tre entre {min} et {max}',
            invalidStep: {
                days: 'La valeur doit tre un incrment de {step} jours depuis{min}',
                hours: 'La valeur doit tre un incrment de {step} heures depuis {min}',
                minutes: 'La valeur doit tre un incrment de {step} minutes depuis{min}',
            },
        },
        datetime: {
            hint: 'jj/mm/aaaa hh:mm pm',
            example: 'Saisissez une date et une heure (par exemple, {example})',
        }
    },
    table: {
        zeroRecords: "Il n\'y a pas d\'lments disponibles.",
        loadingData: 'Donnes en cours de chargement...',
        tasks: 'Autres tches'
    },
    wizard: {
        cancel: "Annuler",
        saveAndContinue: 'Enregistrer et Continuer',
        next: "Suivant",
        finish: "Terminer",
        stepXofY: "Step %%currentStep%% sur %%totalSteps%%",
        submit: "Envoyer",
        save: "Enregistrer",
        confirmcanceltitle: "Confirmer",
        confirmcancel: "Souhaitez-vous vraiment annuler ?",
        successtitle: "Succs",
        successmessage: "L\'enregistrement de vos modifications a russi."
    },
    loadingText: {
        loading: "En cours de chargement...",
        noData: "Aucune donne disponible"
    },
    dateFilterText: {
        from: "De : ",
        to: " : "
    }
};
