DellClarity.Help = {
    helpUrl: null,

    openHelp: function () {
        if (helpUrl) {
            DellClarity.Help.showHelp(helpUrl);
        }
    },

    setCurrentHelpUrl: function (url) {
        helpUrl = url;
    },

    showHelp: function (helpPage) {
        var width = 820;
        var height = 600;

        if (height > screen.height) {
            height = screen.height - 20;
        }

        var left = Math.round((screen.width - width) / 2);
        var top = Math.round((screen.height - height) / 2);

        var winHelp = window.open(helpPage, 'winHelp', 'width=' + width + ',height=' + height + ',top=' + top + ',left=' + left + ',scrollbars=1,resizable=1,location=1,toolbar=1');
        if (winHelp.focus) {
            winHelp.focus();
        }
    }
};
